﻿/*##################################################*/
/*# STILI MULTISCHERMO #############################*/
/*##################################################*/
/*# Proprietà base generiche #######################*/
html { font-size: 62.5%; /*Impostazione carattere a 10px*/ line-height: 1.5; scrollbar-width: thin;}
body { font-weight: 400; overflow-x: hidden; color: #1E2025; background-color: #eee; box-sizing: border-box; margin: 0; font-size: 1.5rem; }
body, input[type=submit], input[type=button], select, input[type=text], input[type=password], input[type=date], input[type=reset], textarea { font-family: -apple-system, BlinkMacSystemFont, "NotoSans UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "NotoSans UI Emoji", "NotoSans UI Symbol"; }
    html *, body * { transition: .4s ease-in-out; scroll-behavior: smooth; box-sizing: border-box; }
/*##################################################*/
/*# CANCELLAZIONE ASPETTI DI DEFAULT ###############*/
input[type=submit], input[type=button], select, input[type=text], input[type=password], input[type=date], input[type=reset], textarea, button { text-decoration: unset; color: unset; box-shadow: none; border: none; }
input::-webkit-outer-spin-button, input::-webkit-inner-spin-button { -webkit-appearance: none; margin: 0; }
input[type=number] { -moz-appearance: textfield; }
a { text-decoration: unset; color: unset; }
h1, h2, p { margin: unset; font-weight: unset; }
description { visibility: hidden; }
/*##################################################*/
/*##################################################*/
/*# Classi Generiche ###############################*/
.dd { clear: both; }
.d_none { display: none !important; }
.d_block { display: block !important; }
.d_inl_block { display: inline-block !important; }
.contained { position: relative; width: 100%; padding: 0 20px 40px 0; margin: auto; max-width:97% }
.margin_auto { margin: auto; }
.pos_rel { position: relative; }
.w_100 { width: 100%; }
.w_50 { width: 50%; }
.w_30 { width: 30%; }
.brdr_rad_std { border-radius: 6px; overflow: hidden;}
.absolut_cntr { position: absolute; top: 50%; left: 50%; transform: translate(-50%,-50%); }
.body_container { position: relative; width: 100vw; min-height: 80vh; }
.funcional_input { display: none !important; }
/*##################################################*/
/*# COLORI SFONDI ##################################*/
.bkg_clr_trasp { background-color: transparent; }
/*Scala di grigi*/
.bkg_clr_bw_000 { background-color: #1E2025; }
.bkg_clr_bw_fff { background-color: #fff; }
.bkg_clr_gry_01 { background-color: #eee; }
.bkg_clr_gry_02 { background-color: #ccc; }
.bkg_clr_gry_03 { background-color: #aaa; }
.bkg_clr_gry_04 { background-color: #666; }
.bkg_clr_gry_05 { background-color: #333; }
/*Colori*/
.bkg_clr_col_01 /*Rosso*/ { background-color: #E2001A; }
.bkg_clr_col_02 /*Grigio IC*/ { background-color: #424A5D; }
/*##################################################*/
/*# VARIABILI TESTUALI #############################*/
/*##################################################*/
/*# Colore Caratteri ###############################*/
/*Scala di grigi*/
.font_clr_bw_000 { color: #1E2025; }
.font_clr_bw_fff { color: #fff; }
.font_clr_gry_01 { color: #eee; }
.font_clr_gry_02 { color: #ccc; }
.font_clr_gry_03 { color: #aaa; }
.font_clr_gry_04 { color: #666; }
.font_clr_gry_05 { color: #333; }
/*Colori*/
.font_clr_col_01 /*Rosso*/ { color: #E2001A; }
.font_clr_col_02 /*Grigio IC*/ { color: #424A5D; }
/*##################################################*/
/*# Grandezza Caratteri ############################*/
.font_sz_var_01, .material-symbols-rounded.font_sz_var_01, .font_sz_var_01 .material-symbols-rounded { font-size: 1.2rem; }
.font_sz_var_02, .material-symbols-rounded.font_sz_var_02, .font_sz_var_02 .material-symbols-rounded { font-size: 1.5rem; }
.font_sz_var_03, .material-symbols-rounded.font_sz_var_03, .font_sz_var_03 .material-symbols-rounded { font-size: 2rem; }
.font_sz_var_04, .material-symbols-rounded.font_sz_var_04, .font_sz_var_04 .material-symbols-rounded { font-size: 2.4rem; }
.font_sz_var_05, .material-symbols-rounded.font_sz_var_05, .font_sz_var_05 .material-symbols-rounded { font-size: 3.2rem; }
.font_sz_var_06, .material-symbols-rounded.font_sz_var_06, .font_sz_var_06 .material-symbols-rounded { font-size: 4rem; }
/*##################################################*/
/*# Variabili testuali / grafiche ##################*/
/*Allineamenti*/
.align_center, .tac { text-align: center; }
.align_left, .tal { text-align: left; }
.align_right, .tar { text-align: right; }
/*Variazioni di forma - Decorazioni testuali*/
.text_uppercase, .uppercase { text-transform: uppercase; }
.text_lowercase, .lowercase { text-transform: none; }
.text_underline, .underline { text-decoration: underline; }
.text_linetrhough, .linetrhough { text-decoration: line-through; }
/*Testo su più colonne*/
.column_txt_2 { column-count: 2; }
.column_txt_3 { column-count: 3; }
/*Variazioni di peso*/
.font_wgt_light, .light { font-weight: 200; }
.font_wgt_normal, .normal { font-weight: 400; }
.font_wgt_bold, .bold, strong, b { font-weight: 700; }
/*##################################################*/
/*# PULSANTI #######################################*/
/*Proprietà di base di pulsanti & elementi interattivi*/
.btn_01, input[type=submit], input[type=button], /*Allineamento stili degli altri elementi interattivi*/ select, input[type=text], input[type=email], input[type=password], input[type=date], textarea { display: flex; justify-content: center; align-items: center; position: relative; text-transform: uppercase; min-width: 150px; text-align: center; cursor: pointer; border-radius: 6px; }
/*Proprietà specifiche per i pulsanti*/
.btn_01 { font-size: 2rem; font-weight: 700; padding: 1rem 1.5rem; text-transform: uppercase; }
    .btn_01 span, .btn_01 p, .btn_01 b, .btn_01 img { vertical-align: middle; }
    /*Varianti cromatiche*/
    /*Rosso*/
    .btn_01.btn_var_01 { color: #fff; background-color: #E2001A; }
        .btn_01.btn_var_01:hover { background-color: #79000e; }
        .btn_01.btn_var_01:disabled { background-color: #808080; }
    /*Bianco*/
    .btn_01.btn_var_02 { color: #252525; background-color: #fff; box-shadow: 0 0 6px rgba(0,0,0,0.35); }
        .btn_01.btn_var_02:hover { box-shadow: 0 3px 9px rgba(0,0,0,0.25); transform: translateY(-1px); }
        .btn_01.btn_var_02:disabled { background-color: #808080; }
    /*Grigio*/
    .btn_01.btn_var_03 { color: #fff; background-color: #424A5D; }
        .btn_01.btn_var_03:hover { background-color: #121419; }
        .btn_01.btn_var_03:disabled { background-color: #808080; }
/*Link testuali*/
.text_link { color: #000; text-decoration: underline; cursor: pointer; }
    .text_link:hover { color: #333; }
    .text_link.font_clr_bw_fff, .font_clr_bw_fff * .text_link { color: #fff; }
        .text_link.font_clr_bw_fff:hover, .font_clr_bw_fff * .text_link:hover { color: #fff; opacity: 0.7; }
/*Elemento ad apertura*/
summary { cursor: pointer; }
/*Select, Inputs e Textarea*/
select, input[type=text], input[type=password], input[type=date], input[type=email], textarea { text-transform: none; background-color: #fff; color: #000; border: solid 1px #ccc; text-align: left; font-size: 1.5rem; width: 100%; padding: 1.5rem !important; }
select { background-image: url('../../images/Iw4/Icone/arrow_down.svg'); background-position: center right 10px; background-repeat: no-repeat; background-size: 1.5rem auto; -webkit-appearance: none; -moz-appearance: none; text-indent: 1px; }
input[type=text], input[type=date], input[type=password], input[type=date], textarea { cursor: text; }
textarea { min-height: 10rem; }
/*##################################################*/
/*Stile Generico Diciture + Select, Inputs e Textarea*/
.input_container { font-size: 2rem; }
    .input_container p, .input_container b { display: block; width: 100%; margin-bottom: 5px; }
.checkbox_container { }
    .checkbox_container input { cursor: pointer; height: 20px; aspect-ratio: 1/1; border-radius: 6px; }
    .checkbox_container input, .checkbox_container label span, .checkbox_container label b { display: inline-block; vertical-align: middle; font-size: 2rem; padding: 2rem 0; }
    .checkbox_container p, .checkbox_container label p { display: inline-block; vertical-align: middle; }
/*##################################################*/
/*# SEPARATORI #####################################*/
/*# Separatore Linea ###############################*/
.sep_line { display: block; position: relative; width: 100%; height: 1px; }
/*# Separatore Ombra ###############################*/
.sep_shadow { width: 100%; height: 15px; mix-blend-mode: multiply; background: -moz-linear-gradient(top, rgba(0,0,0,0.15) 0%, rgba(0,0,0,0) 100%); background: -webkit-linear-gradient(top, rgba(0,0,0,0.15) 0%,rgba(0,0,0,0) 100%); background: linear-gradient(to bottom, rgba(0,0,0,0.15) 0%,rgba(0,0,0,0) 100%); }
/*##################################################*/
/*# STILI MULTIPAGINA ##############################*/
/*##################################################*/
.no_slider { display: block; position: relative; width: 100vw; height: 13rem; }
/*##################################################*/
/*##################################################*/
.fixed_bkg { position: fixed; width: 100vw; max-height: 100vh; overflow: hidden; top: 0; left: 0; z-index: -1; }
    .fixed_bkg img { display: block; width: 100%; height: auto; }
    .fixed_bkg:after { content: ''; display: block; position: absolute; top: 0; left: 0; width: 100%; height: 100%; background: linear-gradient(to bottom, rgba(238,238,238,0.7) 0%,rgba(238,238,238,1) 100%); }
/*##################################################*/
.section_title_01 { font-size: 4rem; text-transform: uppercase;  }
/*##################################################*/
/*# G - Recaptcha ##################################*/
.g-recaptcha { display: flex; justify-content: center; align-items: center; width: 100%; }
.slider-nav-mousedrag .slider-container::after { width: auto !important; height: auto !important; }
/*##################################################*/
/*- STILI ESCLUSIVI GRANDI SCHERMI -----------------*/
@media (min-width: 1281px) {
    /*##############################################*/
    /*# ESCLUSIONI DEVICE DIPENDENT ####################*/
    .d_none_desktop_L { display: none !important; }
    .d_none_desktop_M { }
    .d_none_desktop_S { }
    .d_none_desktop_all { display: none !important; }
    .d_none_portable { }
    .d_none_tablet { }
    .d_none_mobile { }
    /*##############################################*/
    .contact_bar { border-radius: 8px; }
    /*##############################################*/
}

/*##################################################*/
/*- STILI SCHERMI MEDI --------------------------*/
@media (min-width: 1025px) and (max-width: 1280px) {
    /*##################################################*/
    /*# ESCLUSIONI DEVICE DIPENDENT ####################*/
    .d_none_desktop_L { }
    .d_none_desktop_M { display: none !important; }
    .d_none_desktop_S { }
    .d_none_desktop_all { display: none !important; }
    .d_none_portable { }
    .d_none_tablet { }
    .d_none_mobile { }
    /*##############################################*/
    .contact_bar { border-radius: 8px; }
    /*##############################################*/
    html { font-size: 52%; }
    /*Riduzione caratteri per schermi a bassa definizione*/
}


/*##################################################*/
/*- STILI PICCOLI SCHERMI --------------------------*/
@media (min-width: 769px) and (max-width: 1024px) {
    /*##################################################*/
    /*# ESCLUSIONI DEVICE DIPENDENT ####################*/
    .d_none_desktop_L { }
    .d_none_desktop_M { }
    .d_none_desktop_S { display: none !important; }
    .d_none_desktop_all { display: none !important; }
    .d_none_portable { }
    .d_none_tablet { }
    .d_none_mobile { }
    /*##############################################*/
    .contact_bar { border-radius: 8px; }
    /*##############################################*/
}
/*##################################################*/
/*- STILI TABLET -----------------------------------*/
@media (min-width: 481px) and (max-width: 768px) {
    /*##################################################*/
    /*# ESCLUSIONI DEVICE DIPENDENT ####################*/
    .d_none_desktop_L { }
    .d_none_desktop_M { }
    .d_none_desktop_S { }
    .d_none_desktop_all { }
    .d_none_portable { display: none !important; }
    .d_none_tablet { display: none !important; }
    .d_none_mobile { }
    /*##############################################*/
    /*# VARIABILI TESTUALI #############################*/
    /*# Variabili testuali / grafiche ##################*/
    /*Testo su più colonne*/
    .column_txt_3 { column-count: 2; }
    /*##################################################*/
    .no_slider { height: 10rem; }
    /*##################################################*/
}

/*##################################################*/
/*- STILI MOBILE -----------------------------------*/
@media (max-width: 480px) {
    /*##################################################*/
    /*# ESCLUSIONI DEVICE DIPENDENT ####################*/
    .d_none_desktop_L { }
    .d_none_desktop_M { }
    .d_none_desktop_S { }
    .d_none_desktop_all { }
    .d_none_portable { display: none !important; }
    .d_none_tablet { }
    .d_none_mobile { display: none !important; }
    /*##############################################*/
    /*# Classi Generiche ###############################*/
    .w_100, .w_50, .w_30 { width: 100%; }
    /*##################################################*/
    /*# VARIABILI TESTUALI #############################*/
    /*# Variabili testuali / grafiche ##################*/
    /*Testo su più colonne*/
    .column_txt_2, .column_txt_3 { column-count: 1; }
    /*##################################################*/
    .no_slider { height: 3rem; }
    /*##################################################*/
}
